Plex VR: "Oculus Update Required"

plex-vr

#1

I downloaded the Plex VR app from the Oculus store, but when I launch the app, it just says "Oculus Update Required".

Oculus shows that it is updated. How can I make this work?

Galaxy S7 running Android 7.0
Oculus version 3.2.0.9.113 (53745324)
Plex VR version 1.3.0.36


#2

I had the same error, and this is how i fixed it.

You will need to uninstall oculus. After that reinsert it into the headset. It will prompt you to reconfigure the software. Once that is done you should be good to go. Plex came up fine after i did that.

I dont think this is the fault of the Plex team. Oculus seems to be crappy on its updates.


#3

Tried it and after a few hiccups it seemed to work. Thanks for the tip